Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.olapi.metadata.mtm
Class MtmValueExpression

    java.lang.Object
      |
      +--oracle.olapi.metadata.BaseMetadataObject
            |
            +--oracle.olapi.metadata.mtm.MtmObject
                  |
                  +--oracle.olapi.metadata.mtm.MtmExpression
                        |
                        +--oracle.olapi.metadata.mtm.MtmValueExpression

Direct Known Subclasses:
  MtmColumnExpression, MtmCustomExpression, MtmLiteralExpression

public abstract class MtmValueExpression
extends MtmExpression

An `MtmExpression` that represent a single expression, and so it does not have subexpressions. This class is used primarily to represent a single-column level, in which the mapping of a given value requires only one relational column.

Method Summary
`MtmDataType` | `getDataType()` Returns the `MtmDataType` for the column on which this `MtmValueExpression` is based.
`void` | `setDataType(MtmDataType datatype)` Sets the `MtmDataType` for the column on which this `MtmValueExpression` is based.

Methods inherited from class oracle.olapi.metadata.mtm.MtmObject
`acceptVisitor`

Methods inherited from class oracle.olapi.metadata.BaseMetadataObject
`getID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDataType

    public MtmDataType getDataType()

  Returns the `MtmDataType` for the column on which this `MtmValueExpression` is based.
  Returns:
    An `MtmDataType` that represents the SQL data type of the column on which this `MtmValueExpression` is based.

### setDataType

    public void setDataType(MtmDataType datatype)

  Sets the `MtmDataType` for the column on which this `MtmValueExpression` is based.
  Parameters:
    `datatype` - An `MtmDataType` that represents the SQL data type of the column on which this `MtmValueExpression` is based.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.